curl --request POST \
--url https://eu.phrase.com/connectors/optimizely/v1/async/list-files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Webhook: <x-webhook>' \
--data '
{
"connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
"configuration": {},
"path": {
"pathType": "ROOT"
},
"sourceLocale": "en"
}
'import requests
url = "https://eu.phrase.com/connectors/optimizely/v1/async/list-files"
payload = {
"connectorUuid": "4282fec0-d2e9-4266-8733-3e634feb7b59",
"configuration": {},
"path": { "pathType": "ROOT" },
"sourceLocale": "en"
}
headers = {
"X-Webhook": "<x-webhook>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Webhook': '<x-webhook>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
connectorUuid: '4282fec0-d2e9-4266-8733-3e634feb7b59',
configuration: {},
path: {pathType: 'ROOT'},
sourceLocale: 'en'
})
};
fetch('https://eu.phrase.com/connectors/optimizely/v1/async/list-files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "e48eda63-928c-4155-bez9-fdbsaadc15f3",
"webHookUrl": "https://example.tld/my-webhook"
}{
"problemDetail": {
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"properties": {}
}
}List Optimizely content items asynchronously
List Optimizely content items reachable from path under the supplied configuration.
Use this for project setup, change detection, or to drive a UI picker.
The response is a list of remoteResources, each carrying a path you can feed back
into download / convert endpoints.
Async variant. Returns immediately with { requestId, webHookUrl }. The listing is POSTed to the URL supplied in X-Webhook.
Authorizations
IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer
Headers
A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.
Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default.
Required on /async/... endpoints. Bifrost POSTs the operation result to this URL once the connector finishes processing.
Omitting this header on an async endpoint returns 400.
Body
Request body for listing Optimizely content items. The response is a list of remoteResources you can feed back into download / convert endpoints.
UUID of a connector instance configured in TMS.
"4282fec0-d2e9-4266-8733-3e634feb7b59"
Optimizely-specific behavior knobs.
Selector inside the Optimizely project — content item, folder, or ROOT.
Show child attributes
Show child attributes
Locale of the content items to list (Optimizely locale code).
"en"
Response
Successful operation. If X-ResponseType is set to 'ID' or no value is sent in the header, the file is saved and can be retrieved by sending a GET request to this endpoint. If X-ResponseType is set to 'OBJECT', the file is returned as a stream.
Was this page helpful?